Skip to main content
GET
/
activities
Error
A valid request URL is required to generate request examples
{
  "success": 1,
  "data": [
    {
      "_id": "60d21b4667d0d8992e610c85",
      "activity_type": {
        "name": "Tour"
      },
      "activity_title": "Desert Safari Adventure",
      "main_promo_title": "Experience the thrill of dune bashing",
      "short_description": "An exciting desert safari experience",
      "description": "Detailed description of the activity...",
      "address": "Dubai Marina",
      "status": "Active",
      "one_time_activity": false,
      "admin_price_percentage": 123,
      "admin_discount_percentage": 123,
      "location": {
        "country": {
          "id": "60d21b4667d0d8992e610c83",
          "name": "United Arab Emirates"
        },
        "city": "Dubai",
        "region": "Dubai Desert"
      },
      "categories": [
        "Adventure",
        "Outdoor"
      ],
      "tags": [
        "<string>"
      ],
      "media": [
        {
          "imageUrl": "https://example.com/images/desert-safari.jpg"
        }
      ],
      "partner_details": {
        "name": "<string>",
        "partner_category": "<string>",
        "companyDetails": {},
        "profileImage": "<string>"
      },
      "currency": "USD",
      "serviceFee": 12.5,
      "translation": {},
      "variations": [
        {
          "_id": "60d21b4667d0d8992e610c86",
          "title": "Premium Desert Safari",
          "sort": 1,
          "language": [
            "en"
          ],
          "description": "Premium experience with additional services",
          "availability_type": "START_TIME",
          "pricing": {
            "group_price": 450,
            "discount_percentage": 10,
            "units": [
              {
                "type": "ADULT",
                "label": "Adult",
                "min_age": 123,
                "max_age": 123,
                "price": 120
              }
            ]
          },
          "capacity": 20,
          "max_no_booking": 10,
          "duration": {
            "hours": 6,
            "days": 0
          },
          "itinerary": [
            {
              "title": "<string>",
              "description": "<string>"
            }
          ],
          "includes": {
            "transportation_methods": [
              "<string>"
            ],
            "food": [
              "<string>"
            ],
            "drinks": [
              "<string>"
            ],
            "including": [
              "<string>"
            ],
            "excluding": [
              "<string>"
            ]
          },
          "instant_confirmation": true,
          "cancellation_policy": "24 hours before",
          "cut_off_time": "1 day before",
          "media": {
            "imageUrl": "<string>"
          },
          "tourGuides": [
            {
              "tour_guide_id": "<string>",
              "name": "<string>"
            }
          ],
          "pickup": {
            "type": "<string>",
            "pick_up_address": {
              "address": "<string>",
              "lat": 123,
              "lng": 123
            },
            "drop_off_address": {
              "address": "<string>",
              "lat": 123,
              "lng": 123
            }
          },
          "notes": "<string>",
          "external_sync": {
            "external_option_id": "<string>"
          }
        }
      ]
    }
  ],
  "pagination": {
    "pageSize": 10,
    "page": 1,
    "totalCount": 50
  }
}

Authorizations

x-api-token
string
header
required

Query Parameters

currency
string
Example:

"USD"

page
integer
Example:

1

limit
integer
Example:

10

language
string
Example:

"en"

Response

Successful response

success
integer
Example:

1

data
object[]
pagination
object